/**
 * The test class TestingTest.
 *
 * @author  (your name)
 * @version (a version number or a date)
 */
public class ConditionalsTest extends junit.framework.TestCase
{
 
    public void testOver18 () {
      this.assertTrue ("over18(19)", Conditionals.over18(19));
      this.assertFalse ("over18(18)", Conditionals.over18(18));
      this.assertFalse ("over18(17)", Conditionals.over18(17));
      }
      
    public void testFrom18to25 () {
        this.assertFalse ("from18to25(16)", Conditionals.from18to25(16));
        this.assertTrue ("from18to25(18)", Conditionals.from18to25(18));
        this.assertTrue ("from18to25(24)", Conditionals.from18to25(24));
        this.assertTrue ("from18to25(25)", Conditionals.from18to25(25));
        this.assertFalse ("from18to25(29)", Conditionals.from18to25(29));
    }
    
    public void testAtLeast100or18to25 () {
        this.assertFalse ("atLeast100or18to25(16)", Conditionals.atLeast100or18to25(16));
        this.assertTrue ("atLeast100or18to25(18)", Conditionals.atLeast100or18to25(18));
        this.assertTrue ("atLeast100or18to25(24)", Conditionals.atLeast100or18to25(24));
        this.assertTrue ("atLeast100or18to25(25)", Conditionals.atLeast100or18to25(25));
        this.assertFalse ("atLeast100or18to25(29)", Conditionals.atLeast100or18to25(29));
        this.assertTrue ("atLeast100or18to25(100)", Conditionals.atLeast100or18to25(100));
        this.assertTrue ("atLeast100or18to25(974)", Conditionals.atLeast100or18to25(974));
    }
    
    public void testEasyBetween () {
        this.assertFalse ("easyBetween(7,10,12)", Conditionals.easyBetween(7,10,12));
        this.assertFalse ("easyBetween(7,7,12)", Conditionals.easyBetween (7,7,12));
        this.assertTrue ("easyBetween(11,10,12)", Conditionals.easyBetween(11,10,12));
        this.assertFalse ("easyBetween(14,10,14)", Conditionals.easyBetween(14,10,14));
        this.assertFalse ("easyBetween(19,10,14)", Conditionals.easyBetween(19,10,14));
    }
    
    public void testHardBetween () {
        this.assertFalse ("hardBetween(7,10,12)", Conditionals.hardBetween(7,10,12));
        this.assertFalse ("hardBetween(7,7,12)", Conditionals.hardBetween (7,7,12));
        this.assertTrue ("hardBetween(11,10,12)", Conditionals.hardBetween(11,10,12));
        this.assertFalse ("hardBetween(14,10,14)", Conditionals.hardBetween(14,10,14));
        this.assertFalse ("hardBetween(19,10,14)", Conditionals.hardBetween(19,10,14));
        
        this.assertFalse ("hardBetween(7,12,10)", Conditionals.hardBetween(7,12,10));
        this.assertFalse ("hardBetween(7,12,7)", Conditionals.hardBetween (7,12,7));
        this.assertTrue ("hardBetween(11,12,10)", Conditionals.hardBetween(11,12,10));
        this.assertFalse ("hardBetween(14,14,10)", Conditionals.hardBetween(14,14,10));
        this.assertFalse ("hardBetween(19,14,10)", Conditionals.hardBetween(19,14,10));
    }
    
    public void testEasyAgeGroup () {
        this.assertEquals ("easyAgeGroup(10)", Conditionals.easyAgeGroup(10), "child");
        this.assertEquals ("easyAgeGroup(13)", Conditionals.easyAgeGroup(13), "adult");
        this.assertEquals ("easyAgeGroup(29)", Conditionals.easyAgeGroup(29), "adult");
    }
        
    public void testShorterAgeGroup () {
        this.assertEquals ("shorterAgeGroup(10)", Conditionals.shorterAgeGroup(10), "child");
        this.assertEquals ("shorterAgeGroup(13)", Conditionals.shorterAgeGroup(13), "teenager");
        this.assertEquals ("shorterAgeGroup(15)", Conditionals.shorterAgeGroup(15), "teenager");
        this.assertEquals ("shorterAgeGroup(19)", Conditionals.shorterAgeGroup(19), "teenager");
        this.assertEquals ("shorterAgeGroup(29)", Conditionals.shorterAgeGroup(29), "adult");
    }


}
